Name:     adgaurd
Version:  0.108.0
Release:  b.37%{?dist}
Summary:  AdGuard
Epoch:    7
Packager: Eliezer Croitoru <ngtech1ltd@gmail.com>
Vendor:   NgTech Ltd
License:  GPLv2+ and (LGPLv2+ and MIT and BSD and Public Domain)
Group:    System Environment/Daemons
URL:      https://github.com/AdguardTeam/AdGuardHome

Source0:  https://github.com/AdguardTeam/AdGuardHome/releases/download/v0.108.0-b.37/AdGuardHome_linux_amd64.tar.gz
Source1:  adguard.service
Source2:  installer.sh

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: bash >= 2.0
Requires(pre): shadow-utils
Requires(preun): systemd
Requires(postun): systemd
Requires: systemd-units
BuildRequires:  systemd-units
BuildRequires: redhat-rpm-config

%description
AdGuard

#%prep

%build
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/opt/src
cp -vf %{SOURCE0} ${RPM_BUILD_ROOT}/opt/src/
cp -vf %{SOURCE2} ${RPM_BUILD_ROOT}/opt/src/
cd ${RPM_BUILD_ROOT}/opt/src/
bash installer.sh ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}/opt/src/

mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/adguard.service


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_unitdir}/adguard.service
%attr(755,root,root) /opt/AdGuardHome/AdGuardHome
/opt/AdGuardHome/AdGuardHome.sig
/opt/AdGuardHome/CHANGELOG.md
/opt/AdGuardHome/LICENSE.txt
/opt/AdGuardHome/README.md

%post
%systemd_post adguard.service

%preun
%systemd_preun adguard.service

%postun
%systemd_postun_with_restart adguard.service

%changelog
* Wed Jun 21 2023 Eliezer Croitoru <ngtech1ltd@gmail.com>
- Release 0.1 Stable.


